extcheck(1)

NAME
extcheck - jar conflict detection utility

SYNOPSIS
extcheck [ -verbose ] targetfile.jar

DESCRIPTION
The extcheck utility checks a specified jar file for title and version conflicts with any extensions installed in the JDK™ software. Before installing an extension, you can use this utility to see if the same or a more recent version of the extension is already installed.

The extcheck utility compares the Specification-title and Specification-version headers in the manifest of targetfile.jar file against the corresponding headers in all Jar files currently installed in the extension directory. (The extension directory is jre/lib/ext by default.) The extcheck utility compares version numbers in the same way as the method java.lang.Package.isCompatibleWith.

OPTIONS
The following option is supported:

-verbose
    Lists jar files in the extension directory as they are checked. Additionally, manifest attributes of the target jar file and any conflicting jar files are also reported.

EXIT STATUS
The following exit values are returned:

0   No conflict is detected.

non-zero
    If the manifest of any of the jar files in the extensions directory has the same Specification-title and the same or a newer Specification-version number, or if targetfile.jar does not have the Specification-title or Specification-version attributes in its manifest.

SEE ALSO
jar(1)